<?php
session_start();
require_once '../services/api_config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    $expectedKeys = [
        'customerID', 'recipientname', 'recipientphone', 'recipientemail',
        'road', 'building', 'houseNo', 'floor', 'region', 'moreinfor',
        'regionname', 'shippingFee', 'deliverytype', 'ordernumber'
    ];

    $postData = [];

    // Iterate through expected keys and extract data from $_POST
    foreach ($expectedKeys as $key) {
        $postData[$key] = isset($_POST[$key]) ? $_POST[$key] : '';
    }

    // Todo => validate user input 

    // Create the $data array for json_encode
    // Make a POST request to postOders API
    $api_url = API_URL . "savedeliveryAddress.php";
    $data = [];
    foreach ($postData as $key => $value) {
        $data[$key] = $value;
    }

    $data_new = json_encode($data);

    $ch = curl_init($api_url);

    // Set  cURL options with the authorization header
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Auth: ' . API_AUTH_HEADER
    ]);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data_new);

    // Execute the cURL request
    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) {
        // Handle cURL error
        echo "cURL Error: " . curl_error($ch);
    } else {
        // Decode the JSON response
        $result = json_decode($response, true);


        echo json_encode($result);
    }

    // Close cURL session
    curl_close($ch);
}
