<?php include "includes/header.php" ?>
<!--  jQuery -->
<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<!--  SweetAlert library -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<script>
    toastr.options = {
        "closeButton": true,
        "newestOnTop": false,
        "progressBar": true,
        "positionClass": "toast-bottom-full-width",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "5000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    }
</script>

<style>
    .link:hover {
        color: #48843d;
    }
</style>

<?php


if (isset($_GET['email'])) {
    $email = $_GET['email'];
} else {
    $email = '';
}

if (isset($_GET['cell'])) {
    $cell = $_GET['cell'];
} else {
    $cell = '';
}
?>


<body>

    <section class="vh-100 d-flex justify-content-center align-items-center ">
        <div class="col-12 col-md-8 col-lg-6 col-xl-5">
            <div class="card card-bg">
                <div class="card-body p-4 text-center">
                    <div class="mb-md-3 pb-3">

                        <img src="./img/logo2.jpg" class="mb-4" alt="Profile Image" width="180">
                        <h3 class="fw-bold mb-4 text-uppercase">Reset Password</h3>



                        <p>Please enter the code sent to <span style="color:#1877F2"><?php  echo  $cell?></span>  or <span style="color:#1877F2"><?php  echo  $email?></span>. </p>

                        <form>

                            <div class="d-flex justify-content-center mb-4">
                                <div style="width: 80%;">


                                    <div class="form-outline">

                                        <div class="input-group">
                                            <input type="text" name="code" id="code" class="form-control form-control-lg" required />

                                        </div>

                                        <label class="form-label" for="code">Code</label>
                                    </div>


                                    <div class="form-outline">

                                        <div class="input-group">
                                            <input type="password" name="password" id="password" class="form-control form-control-lg" required />
                                            <button class="btn btn-outline-secondary" type="button" id="password-toggle">
                                                <i id="icon-eye" class="fa fa-eye"></i>
                                            </button>
                                        </div>

                                        <label class="form-label" for="password">Password</label>
                                    </div>
                                    <input type="hidden" name="email" value="<?php echo  $email ?>">
                                    <input type="hidden" name="cell" value="<?php echo  $cell ?>">
                                    <div class="form-outline">
                                        <div class="input-group">
                                            <input type="password" name="confirm_password" id="confirm_password" class="form-control form-control-lg" required />
                                            <button class="btn btn-outline-secondary" type="button" id="password-toggle2">
                                                <i id="icon-eye2" class="fa fa-eye"></i>
                                            </button>
                                        </div>
                                        <label class="form-label" for="confirm_password">Confirm Password</label>
                                    </div>

                                </div>
                            </div>



                            <button class="btn btn-lg btn-main" id="submitBtn" type="submit">SUBMIT</button>
                        </form>
                    </div>

                    <div>
                        <p class="mb-0">
                            <a href="forgot-password.php"  onmouseover="this.style.color='#1877F2'" onmouseout="this.style.color='#000'" style="color: #28a745; text-decoration: none;" style="color: #000; text-decoration: none;">
                                <i class="fa fa-arrow-left"></i>
                                <span>resend code</span>
                            </a>

                        </p>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <script>
        document.getElementById('password-toggle').addEventListener('click', function() {
            const passwordInput = document.getElementById('password');
            const eyeIcon = document.getElementById('icon-eye');


            if (passwordInput.type === 'password') {
                passwordInput.type = 'text';
                eyeIcon.classList.remove('bi-eye');
                eyeIcon.classList.add('bi-eye-slash');
            } else {
                passwordInput.type = 'password';
                eyeIcon.classList.remove('bi-eye-slash');
                eyeIcon.classList.add('bi-eye');
            }


        });

        document.getElementById('password-toggle2').addEventListener('click', function() {


            const eyeIcon2 = document.getElementById('icon-eye2')

            const passwordInput_confirmation = document.getElementById('confirm_password');;


            if (passwordInput_confirmation.type === 'password') {
                passwordInput_confirmation.type = 'text';
                eyeIcon2.classList.remove('bi-eye');
                eyeIcon2.classList.add('bi-eye-slash');
            } else {
                passwordInput_confirmation.type = 'password';
                eyeIcon2.classList.remove('bi-eye-slash');
                eyeIcon2.classList.add('bi-eye');
            }
        });
    </script>


    <script>
        function disableButton() {

            // Disable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = true;
            // Change background color to gray
            submitBtn.classList.add('btn-load');
            // Change the button text
            submitBtn.innerHTML = 'SUBMIT';


        }

        function enableButton() {
            // enable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = false;
            // Change background color to gray
            submitBtn.classList.remove('btn-load');
            submitBtn.classList.add('btn-main');
            // Change the button text
            submitBtn.innerHTML = 'SUBMIT';
        }

        $(document).ready(function() {


            // Submit the form using jQuery
            $('form').submit(function(event) {
                event.preventDefault();

                // Check if passwords match
                var password = $('#password').val();
                var confirmPassword = $('#confirm_password').val();

                if (password !== confirmPassword) {
                    Swal.fire({
                        title: 'Error',
                        text: 'Passwords do not match.',
                        icon: 'error',
                    }).then((result) => {
                        // enable button
                        enableButton();
                    });;
                    return;


                }


                // Get form data
                var formData = $(this).serialize();

                disableButton();

                // Make an AJAX request to the server
                $.ajax({
                    type: 'POST',
                    url: 'functions/reset-password.php',
                    data: formData,
                    dataType: 'json',
                    success: function(response) {

                        if (response.success) {

                            Swal.fire({
                                title: 'success',
                                text: response.message,
                                icon: 'success',
                            }).then((result) => {
                                window.location.href = 'login.php';

                            });


                        } else {
                            Swal.fire({
                                title: 'Error',
                                text: response.message,
                                icon: 'error',
                            }).then((result) => {
                                enableButton()

                            });
                        }
                    },
                    error: function() {
                        Swal.fire({
                            title: 'Error',
                            text: 'An error occurred while processing your request.Please try again',
                            icon: 'error',
                        }).then((result) => {
                            enableButton()

                        });
                    }
                });


            });
        });
    </script>

</body>

</html>