<style>
    #categoriesList li a:hover {
        color: #007bff; 
    }
</style>

<div class="hero__categories">
    <div class="hero__categories__all">
        <i class="fa fa-bars"></i>
        <span>All departments</span>
    </div>
    <ul id="categoriesList"></ul>
</div>

<script>
    $(document).ready(function() {
        fetchcategories();
    });

    function fetchcategories() {
        $.ajax({
            type: 'GET',
            url: 'functions/categories.php',
            dataType: 'json',
            success: function(data) {
                if (data.length > 0) {
                    updatecategories(data);
                }
            },
            error: function(error) {
                console.log('Error fetching categories:', error);
            }
        });
    }

    function capitalizeFirstWord(str) {
        return str.charAt(0).toUpperCase() + str.slice(1);
    }

    function renderCategories(categories) {
        var ul = $('#categoriesList');
        ul.empty();

        $.each(categories, function(index, category) {
            var categoryNameLowercase = category.Name.toLowerCase();
            var name = capitalizeFirstWord(categoryNameLowercase);

            ul.append('<li><a href="category_items.php?departmentId=' + category.ID + '&name=' + category.Name + '">' + category.Name + '</a></li>');

        });
    }

    function updatecategories(data) {
        var ul = $('#categoriesList');
        var isAllShown = false;

        // Show only the first 8 departments initially
        var departmentsToShow = data.slice(0, 10);

        // Populate the ul element with categories data
        renderCategories(departmentsToShow);

        if (data.length > 10) {
            ul.append('<li id="see_all_deparments"><a href="#" style="color:#28a745">See All </a></li>');

            // Handle "See All" click
            ul.on('click', '#see_all_deparments', function() {
                departmentsToShow = data;
                renderCategories(departmentsToShow);
                $('#see_all_deparments').hide(); // hide "See All" link
                ul.append('<li  id="see_less_deparments"><a href="#" style="color:#007bff" >See Less </a></li>');
            });

            // Handle "See Less" click using event delegation
            ul.on('click', '#see_less_deparments', function() {
                renderCategories(data.slice(0, 10)); // show only the first 8 departments
                $('#see_less_deparments').hide(); // hide "See Less" link
                ul.append('<li style="color:green" id="see_all_deparments"> <a href="#" style="color:#28a745">See All </a> </li>');
            });
        }
    }
</script>